> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/campaign

> Lists ad server campaigns that have delivered in the last week, with their dates, publishers and status



## OpenAPI

````yaml /openapi.json get /v1/report/campaign
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: AI
  - name: AI/Activity
  - name: Billing
  - name: Billing/Invoice
  - name: Audit Log
  - name: '[IN PROGRESS] Integration'
  - name: '[IN PROGRESS] Integration/Mapping'
  - name: '[IN PROGRESS] User'
  - name: '[IN PROGRESS] User/Account'
  - name: public
paths:
  /v1/report/campaign:
    get:
      tags:
        - Reporting/Campaign Reports
        - public
      summary: /report/campaign
      description: >-
        Lists ad server campaigns that have delivered in the last week, with
        their dates, publishers and status
      parameters:
        - name: include_archived
          in: query
          description: Set to 1 to include campaigns with no delivery in the last week
          required: false
          schema:
            type: integer
            enum:
              - 0
              - 1
            default: 0
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    description: >-
                      Ad server campaigns with a line item that delivered in the
                      last week, or all campaigns with include_archived=1.
                      Prebid, Amazon and Magnite Pre-Bid demand is left out
                    items:
                      type: object
                      properties:
                        campaign_id:
                          type: integer
                          description: >-
                            Ad server campaign (order) ID; use with
                            /v1/report/campaign/{id}
                        campaign_name:
                          type: string
                        start_date:
                          type: string
                          format: date
                          description: First day of delivery of the listed line items
                        end_date:
                          type: string
                          format: date
                          description: Last day of delivery of the listed line items
                        publisher:
                          type: string
                          description: >-
                            Comma-separated site domains the campaign delivered
                            on
                        status:
                          type: string
                          enum:
                            - live
                            - complete
                          description: >-
                            complete if end_date is before yesterday, otherwise
                            live
                      required:
                        - campaign_id
                        - campaign_name
                        - start_date
                        - end_date
                        - publisher
                        - status
                  has_historic_data:
                    type: boolean
                    description: >-
                      True when results is empty but older campaign data exists.
                      Only checked without include_archived; false otherwise
                  success:
                    type: boolean
                required:
                  - results
                  - has_historic_data
                  - success
              example:
                results:
                  - campaign_id: 3184472016
                    campaign_name: Autumn sale - Example Retail
                    start_date: '2026-09-15'
                    end_date: '2026-10-22'
                    publisher: example.com, news.example.org
                    status: live
                  - campaign_id: 3179025581
                    campaign_name: House ads - newsletter sign-up
                    start_date: '2026-08-01'
                    end_date: '2026-10-18'
                    publisher: example.com
                    status: complete
                has_historic_data: false
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.